/* Compile with
 *  gcc -g color-picker.c -o color-picker $(pkg-config --cflags --libs gtk+-2.0)
 * See
 *	http://developer.gnome.org/doc/API/2.0/gtk/GtkColorSelectionDialog.html
 * Code courtesy of Elijah Newrew <newren@math.utah.edu>
 */

#include <stdlib.h>
#include <gtk/gtk.h>

int
main (int argc, char **argv)
{
  GtkWidget *window;

  gtk_init (&argc, &argv);

  window = gtk_color_selection_dialog_new ("Color selection tool");

  g_signal_connect (G_OBJECT (window), "destroy",
                    G_CALLBACK (gtk_main_quit),
                    NULL);

  g_signal_connect (G_OBJECT (GTK_COLOR_SELECTION_DIALOG (window)->ok_button),
                    "clicked",
                    G_CALLBACK (gtk_main_quit),
                    NULL);

  g_signal_connect (G_OBJECT (GTK_COLOR_SELECTION_DIALOG (window)->cancel_button),
                    "clicked",
                    G_CALLBACK (gtk_main_quit),
                    NULL);

  gtk_widget_show (window);

  gtk_main ();

  return (EXIT_SUCCESS);
}
